<?php get_header();

/* Template Name: Template Artigos */

$pageTitle = "Artigos";

include('headerInterna.php');

$datas = [];

query_posts( array( 'post_type' => 'nosso_artigos', 'showposts' => 99999999 ));

if(have_posts()):

    while (have_posts () ): the_post () ;

        

        $periodo = get_the_date('F, Y');

        $periodo = str_replace(",", " /", $periodo);

        $periodo = ucfirst($periodo);

        

        array_push($datas, $periodo);

    endwhile;

endif;

wp_reset_query();



$datas = array_unique($datas);



?>

<section id='Events'>

    <main>

        <div class='EventFilter' id='ArtigosFilter' style='height: 79px !important;'>

            <form action="/search-artigos/" id='FiltroSearch'>

                <i class="material-icons" id='buttonFilter'>search</i>

                <input type="text" placeholder="Pesquise" name='filter' id='filterinput'>



                <span>

                    <i class="material-icons">calendar_today</i>

                    <select name="periodo" id="periodo">

                        <option value="Nenhum" style='color: #06234a;'>Filtre por data</option>

                        <?php

                        foreach($datas as $data)

                        { 

                            ?>

                        <option value="<?=$data?>" style='color: #06234a;'>

                        <?=$data?>

                        </option>

                       <?php }

                        ?>



                    </select>

                </span>

            </form>



            <!-- <span>

                <i class="material-icons">person</i>

                <select name="autor" id="autor">

                    <option value="Autor" style='color: #06234a;'>

                        Autor

                    </option>

                </select>

            </span>

            <span>

                <i class="material-icons">import_contacts</i>

                <select name="temas" id="temas" >

                    <option value="Temas" style='color: #06234a;'>

                        Temas

                    </option>

                </select>

            </span> -->



        </div>

        <div class='Content ContentEvents NoticiasContent'>

        <?php

        $marcador = 1;

query_posts( array( 'post_type' => 'nosso_artigos', 'showposts' => 99999999 ));

if(have_posts()):

    while (have_posts () ): the_post () ;

    $imagem_destaque        = get_field('imagem_destaque');

    $conteudo_do_artigo    = get_field('conteudo_do_artigo');

    $autor_do_artigo       = get_field('autor_do_artigo');

    ?>





            <a href="<?php the_permalink(); ?>" class='EventsBox'>

                <div class='EventosImg'>

                    <span class='overlay'>

                        <p>Continuar lendo</p>

                    </span>

                    <img src="<?php echo $imagem_destaque; ?>" alt="">

                </div>

                <div class='EventosDesc'>

                    <h3><?php the_title(); ?></h3>

                    <p>



<?php 

if($marcador <= 1)

{

    echo substr($conteudo_do_artigo, 0, 562); 

}

else

{

    echo substr($conteudo_do_artigo, 0, 168); 

}

?>



</p>

                </div>

            </a>



                <?php 

$marcador++;

endwhile;



endif;

wp_reset_query();

?>



          

        </div>

    </main>

    

</section>



<?php get_footer(); ?>

